- Primeros pasos
- Autenticación
- Ámbitos y permisos
- API de gestión de plataformas
Guía de la API de UiPath Automation Cloud
Returns a paged list of members belonging to a specific local group, based on the organization, group ID, and optional paging parameters.
Punto final de API
GET {accessURL}/{organizationName}/identity_/api/Group/{partitionGlobalId}/{groupId}/Members
Sustituye {accessURL} en todas las rutas de los puntos finales por la URL base de tu plataforma en la nube:
| Cloud Platform | URL de acceso |
|---|---|
| Automation Cloud | https://cloud.uipath.com/ |
| Sector público de Automation Cloud | https://govcloud.uipath.us/ |
| Automation Cloud dedicado | https://{customURL}.dedicated.uipath.com/ |
Ámbitos
Necesita los siguientes ámbitos:
- PM.Group
- PM.Group.Read
Solicitar encabezados.
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
Para obtener el {access_token}, asegúrate de autenticarte a través de uno de los métodos descritos aquí.
Parámetros de ruta
| Parámetros de ruta | Tipo de datos | Descripción |
|---|---|---|
partitionGlobalId (obligatorio) | Cadena | El ID de la organización que contiene el grupo deseado. |
groupId (obligatorio) | Cadena | The ID of the group whose members you want to retrieve. |
Parámetros de consulta
| Parámetros de consulta | Tipo de datos | Descripción |
|---|---|---|
top | Entero | The number of records to return. Default is 10. Range is 0 to 1000. |
skip | Entero | The number of records to skip. Default is 0. |
Respuesta
200 OK
A paged list of group members is returned, along with the total count.
404 No encontrado
The specified group was not found in the given organization.
Solicitud de ejemplo
Supongamos que has recopilado toda la información necesaria para crear la llamada a la API.
- Tu
{baseURL}es:https://cloud.uipath.com/{organizationName}/identity_ - Tu
{access_token}es:1234(para consideraciones de longitud) - El
{partitionGlobalId}es:3fa85f64-5717-4562-b3fc-2c963f66afa6 - El
{groupId}es:2512
La llamada debe parecerse al siguiente ejemplo (cURL):
curl --location --request GET 'https://cloud.uipath.com/{organizationName}/identity_/api/Group/3fa85f64-5717-4562-b3fc-2c963f66afa6/2512/Members?top=10&skip=0' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
curl --location --request GET 'https://cloud.uipath.com/{organizationName}/identity_/api/Group/3fa85f64-5717-4562-b3fc-2c963f66afa6/2512/Members?top=10&skip=0' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
Aquí está el body de respuesta de una llamada correcta:
{
"totalCount": 2,
"results": [
{
"id": "1787ef38-5933-4f2c-a67a-9c22cdb8e6a2",
"type": 0
},
{
"id": "a4c2e8b1-7d3f-4a91-b5e2-6f8d9c0e1a3b",
"type": 0
}
]
}
{
"totalCount": 2,
"results": [
{
"id": "1787ef38-5933-4f2c-a67a-9c22cdb8e6a2",
"type": 0
},
{
"id": "a4c2e8b1-7d3f-4a91-b5e2-6f8d9c0e1a3b",
"type": 0
}
]
}